package com.company.loaderr.core;

import com.company.loaderr.entity.Bar;
import com.haulmont.cuba.core.app.SetupAttributeAccessHandler;
import com.haulmont.cuba.core.app.events.SetupAttributeAccessEvent;
import org.springframework.stereotype.Component;

/**
 * @author Dmitry Chigileychik
 * @version $Id$
 * @since 10.05.18
 */
@Component("loaderr_BarAttributeAccessHandler")
public class BarAttributeAccessHandler implements SetupAttributeAccessHandler<Bar> {

    @Override
    public void setupAccess(SetupAttributeAccessEvent<Bar> event) {
        // We do not need to do anything here. We only need some supported handlers.
    }

    @Override
    public boolean supports(Class clazz) {
        return Bar.class.isAssignableFrom(clazz);
    }
}
